티스토리 뷰

웨일 리눅스 버전은 flash를 따로 설치해주어야 합니다.

Chrome의 경우 flash가 내장되어 있어서 flash를 따로 설치하지 않고 쓸 수 있습니다.
하지만 기본적으로 flash를 차단하는 정책을 쓰고 있기 때문에 flash를 클릭하여 차단을 해제해주어야 합니다.

그런데 리눅스용 웨일은 flash를 내장하지 않고 따로 설치해서 써야합니다. (윈도우 버전의 경우는 자동 설치됩니다.)
16.04의 경우에는 위와 같은 상태에서 install 버튼을 클릭하여 설치를 하면 됩니다.

위 처럼 Linux64에 apt 버전을 선택하면 deb 파일을 다운받아 설치하게 됩니다.
그런데 18.04에서는 아래와 같이 에러가 나는 문제가 있습니다.

PPAPI 압축 파일로 직접 설치하기

이를 해결하기 위해서는 PPAPI용 압축 파일을 받아서 직접 설치해주어야 합니다.

직접 설치한다고 해서 뭐 대단한 것은 아니고 flash_player_ppapi_linux.x86_64.tar.gz 파일을 다운 받아서 압축을 풀고
/usr/lib/adobe-flashplugin/ 디렉토리에 복사만 해주면 됩니다.

$ sudo mkdir -p /usr/lib/adobe-flashplugin/
$ sudo cp -rf * /usr/lib/adobe-flashplugin/

flash 설치 후

이렇게 복사하고 웨일을 재시작하면 flash를 사용할 수 있습니다.

Comments
댓글쓰기 폼